commit b47a00a9cd03748d987f288844740fb0088b40e6
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Dec 23 01:20:26 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 03d1fb615c0..6cf9f81d0c7 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,9 @@
+2025-12-22  Tamar Christina  <tamar.christina@arm.com>
+
+	PR tree-optimization/122868
+	* tree-vect-stmts.cc (vectorizable_load): Don't hoist loop invariant
+	conditional loads unless in header.
+
 2025-12-19  Yury Khrustalev  <yury.khrustalev@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index ab657eef61f..0a6c047ea80 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251222
+20251223
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 40f742ec646..4555f91a300 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,14 @@
+2025-12-22  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/123060
+	* gcc-interface/utils.cc (update_pointer_to): Streamline.
+
+2025-12-22  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/123060
+	* gcc-interface/utils.cc (update_pointer_to): Preserve the alias
+	sets present on the old pointer and old reference, if any.
+
 2025-12-15  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/123138
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 3e1bdcf2dd7..77f56863baa 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-12-22  Tamar Christina  <tamar.christina@arm.com>
+
+	PR tree-optimization/122868
+	* gcc.dg/vect/vect-early-break_140-pr122868_1.c: New test.
+	* gcc.dg/vect/vect-early-break_140-pr122868_2.c: New test.
+	* gcc.dg/vect/vect-early-break_140-pr122868_3.c: New test.
+	* gcc.dg/vect/vect-early-break_140-pr122868_4.c: New test.
+
 2025-12-21  Jerry DeLisle  <jvdelisle@gcc.gnu.org>
 
 	Backported from master:

